QuickFIX: User

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# User

## Classes
struct | FIX::DateTime
| Date and Time stored as a Julian day number and number of milliseconds since midnight. More...
class | FIX::UtcTimeStamp
| Date and Time represented in UTC. More...
class | FIX::LocalTimeStamp
| Date and Time represented in local time. More...
class | FIX::UtcTimeOnly
| Time only represented in UTC. More...
class | FIX::LocalTimeOnly
| Time only represented in local time. More...
class | FIX::UtcDate
| Date only represented in UTC. More...
class | FIX::LocalDate
| Date only represented in local time. More...
class | FIX::ThreadedSocketInitiator
| Threaded Socket implementation of Initiator. More...
## Functions
bool | FIX::operator== (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator!= (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator< (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator> (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator<= (const DateTime &lhs, const DateTime &rhs)
bool | FIX::operator>= (const DateTime &lhs, const DateTime &rhs)
int | FIX::operator- (const DateTime &lhs, const DateTime &rhs)
| Calculate the difference between two DateTime values and return the result as a number of seconds.

## Function Documentation

bool FIX::operator!= | ( | const DateTime & | lhs,
|  | const DateTime & | rhs |
| ) |  |  | `[inline]`

Definition at line 358 of file FieldTypes.h.

    00359 {
    00360   return !(lhs == rhs);
    00361 }

int FIX::operator- | ( | const DateTime & | lhs,
|  | const DateTime & | rhs |
| ) |  |  | `[inline]`

Calculate the difference between two DateTime values and return the result as a number of seconds.

Definition at line 391 of file FieldTypes.h.

References FIX::DateTime::m_date, FIX::DateTime::m_time, and FIX::DateTime::SECONDS_PER_DAY.

    00392 {
    00393   return (DateTime::SECONDS_PER_DAY * (lhs.m_date - rhs.m_date) +
    00394           // Truncate the millis before subtracting
    00395           lhs.m_time / 1000 - rhs.m_time / 1000);
    00396 }

bool FIX::operator< | ( | const DateTime & | lhs,
|  | const DateTime & | rhs |
| ) |  |  | `[inline]`

Definition at line 363 of file FieldTypes.h.

References FIX::DateTime::m_date, and FIX::DateTime::m_time.

    00364 {
    00365   if( lhs.m_date < rhs.m_date )
    00366     return true;
    00367   else if( lhs.m_date > rhs.m_date )
    00368     return false;
    00369   else if( lhs.m_time < rhs.m_time )
    00370     return true;
    00371   return false;
    00372 }

bool FIX::operator<= | ( | const DateTime & | lhs,
|  | const DateTime & | rhs |
| ) |  |  | `[inline]`

Definition at line 379 of file FieldTypes.h.

    00380 {
    00381   return lhs == rhs || lhs < rhs;
    00382 }

bool FIX::operator== | ( | const DateTime & | lhs,
|  | const DateTime & | rhs |
| ) |  |  | `[inline]`

Definition at line 353 of file FieldTypes.h.

References FIX::DateTime::m_date, and FIX::DateTime::m_time.

    00354 {
    00355   return lhs.m_date == rhs.m_date && lhs.m_time == rhs.m_time;
    00356 }

bool FIX::operator> | ( | const DateTime & | lhs,
|  | const DateTime & | rhs |
| ) |  |  | `[inline]`

Definition at line 374 of file FieldTypes.h.

    00375 {
    00376   return !(lhs == rhs || lhs < rhs);
    00377 }

bool FIX::operator>= | ( | const DateTime & | lhs,
|  | const DateTime & | rhs |
| ) |  |  | `[inline]`

Definition at line 384 of file FieldTypes.h.

    00385 {
    00386   return lhs == rhs || lhs > rhs;
    00387 }